And there is only 20-displaylink.conf in xorg.conf.d. DisplayLink released the driver software Release 5.3.1 adding support for Ubuntu 20.04. This version has yet to be validated on a minimal set of DisplayLink based Targus Universal Docking Stations (UDS) but should work. Type sudo apt-get install dkms, and then press Enter. All good. It seems that, when compiling from the repo, for some reasons, a "sudo make" fails but a "sudo su && make" succeeds. 100% All good. Re: [SOLVED]DKMS - could not locate dkms.conf file Thanks for the answer. The version number for your download supports Ubuntu 20.04, which is likely not going to work unless you have Linux Mint 20. I'm pretty new to ubuntu, I've just installed it on my laptop and am trying to get my hub to work so I can use my monitors. I want to get this i-tec USB 3.0 Docking Station running with Ubuntu 18.04. What should I back-up? DisplayLink Drivers on Ubuntu 18.04 and 20.04 Warnings • The file permission may need to be changed before the driver installation. I downloaded the drivers for Ubuntu from here, untipped the file and followed the install instructions in the READ ME.pdf (with content similar to this one). To change the file permission, enter the following: Chmod +x displaylink-driver-5.3.0.xx.run Note: X = driver file version. Uncompressing DisplayLink Linux Driver 1.3.54 100% DisplayLink Linux Software 1.3.54 install script called: install Distribution discovered: Ubuntu 16.04.5 LTS Unsatisfied dependencies. (In grub, I have an old Ubuntu 18.04 around that I can boot with in case of needs) Also, one of the alternative scripts (open source DisplayLink for Debian, say link above) says: Building EVDI kernel module with DKMS ERROR (code 3): Failed to build evdi/5.2.14. @displaylink-dkurek You seem to be the one who knows more than us (at least than I) how dkms is handling the compilation of the module. To install your USB laptop docking station in Ubuntu 15.0 (kernel 3.16), you need to download the Dynamic Kernel Module Support (DKMS) package and the adapter driver. 100% All good. Uncompressing DisplayLink Linux Driver 5.2.14 100% DisplayLink Linux Software 5.2.14 install script called: install Distribution discovered: Ubuntu 18.04.4 LTS Installing Configuring EVDI DKMS module Registering EVDI kernel module with DKMS Building EVDI kernel module with DKMS ERROR (code 3): Failed to build evdi/5.2.14. The driver enables video support for products using DisplayLink … At least 3.14 is required. Missing component: Kernel version 3.4.0-g8826794 is too old. If you have LM 19.x, you need Ubuntu … To install the DKMS package, complete the following: On your desktop, click the Ubuntu icon, type terminal, and then press Enter. Uncompressing DisplayLink Linux Driver 5.2.14 100% DisplayLink Linux Software 5.2.14 install script called: install Distribution discovered: Ubuntu 20.04 LTS Installing Configuring EVDI DKMS module Registering EVDI kernel module with DKMS Building EVDI kernel module with DKMS ERROR (code 3): Failed to build evdi/5.2.14. "How to install DisplayLink for Ubuntu" from displaylink.com Using the Asus MB168B+ with Ubuntu 15.10 Note I really only followed the coding struggles article and was missing the dkms packages that were mentioned in the displaylink.com article. I found this post before, but ignored it, because I didn't have virtualbox installed (had to install it yesterday though).